Subject: [alpine-aports] [PATCH] testing/infiniband-diags: new aport

From: Jann - Ove Risvik <[email-masked]>
Date: Sat, 9 Jul 2016 16:42:27 +0200

https://openfabrics.org/index.php/openfabrics-software.html
Various infiniband diagnostic tools

2.nd try at packages for managing infiniband hardware. Doublechecked which of the packages actually refused to build with alpine $CHOST and $CBUILD, and worked around it a bit more elegantly than pulling in a newer config.sub
---
 testing/infiniband-diags/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/infiniband-diags/APKBUILD

diff --git a/testing/infiniband-diags/APKBUILD b/testing/infiniband-diags/APKBUILD
new file mode 100644
index 0000000..77db3cf
--- /dev/null
+++ b/testing/infiniband-diags/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Jann - Ove Risvik <[email-masked]>
+# Maintainer:
+pkgname=infiniband-diags
+pkgver=1.6.6
+pkgrel=0
+pkgdesc="Various infiniband diagnostic tools"
+url="https://www.openfabrics.org/index.php/openfabrics-software.html"
+arch="x86 x86_64"
+license="GPL2 BSD"
+depends="libibmad opensm glib eudev"
+depends_dev="opensm-dev libibmad-dev glib-dev eudev-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD\
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b855ca3b98afefc2ad6a2de378ab71dd  infiniband-diags-1.6.6.tar.gz"
+sha256sums="cc814bcb9aeb7764116602700e8c442dcba883fd43b7e2be990ad78687813780  infiniband-diags-1.6.6.tar.gz"
+sha512sums="aeb7a24e16c03bdca1ab8fbd6b1fcc434dae8b96544501aa8643bf8a3a2f3f0cb529b48211f9fe2fb4c61343bfae1ffdec95cb5830da9dd396d9fe0b288b2def  infiniband-diags-1.6.6.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---